#include "BaseHerb.h"
#include "Net/UnrealNetwork.h"
#include "Interactor.h"
#include "Components/BoxComponent.h"
#include "Components/CapsuleComponent.h"

class ADBDPlayer;

void ABaseHerb::OnRep_PlayerUsedHerb()
{

}

void ABaseHerb::Multicast_OnPlayerInRangeOfHerb_Implementation(const bool inRange, const ADBDPlayer* player)
{

}

void ABaseHerb::Authority_OnPlayerInRangeChanged(const bool inRange, ADBDPlayer* player)
{

}

void ABaseHerb::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(ABaseHerb, _playerUsedHerb);
}

ABaseHerb::ABaseHerb()
{
	this->_herbInteractor = CreateDefaultSubobject<UInteractor>(TEXT("herbInteractor"));
	this->_herbInteractionZone = CreateDefaultSubobject<UBoxComponent>(TEXT("herbInteractionZone"));
	this->_blockingZone = CreateDefaultSubobject<UCapsuleComponent>(TEXT("blockingZone"));
}
